routes/web.php
<?php


use Illuminate\Support\Facades\Route;

Route::group(['namespace' => 'Web', 'as' => 'web.'], function() {
    
    /**pagina inicial do site */
    Route::get('/' ,'WebController@home')->name('home');
    /** pagina destaque */
        Route::get('/destaque', 'WebController@spotlight')->name('spotlight');

     /**pagina logação do site */
     Route::get('/quero-alugar' ,'WebController@rent')->name('rent');

      /**pagina comprar do site */
    Route::get('/quero-comprar' ,'WebController@buy')->name('buy');

        /**pagina comprar um imovel  do site */
        Route::get('/quero-comprar/{slug}' ,'WebController@buyProperty')->name('buyProperty');

         /**pagina alugar um imoveil do site */
         Route::get('/quero-alugar/{slug}' ,'WebController@rentProperty')->name('rentProperty');

     /**pagina filtro do site */
     Route::match(['post', 'get'],'/filtro' ,'WebController@filter')->name('filter');

     /**paginas de experiencias */
     Route::get('/experiencias','WebController@expirence')->name('expirence');

    /**paginas de experiencias - especifica de uma categoria */
     Route::get('/experiencias/{slug}','WebController@expirenceCategory')->name('expirenceCategory');


     /**pagina contato do site */
    Route::get('/contato' ,'WebController@contact')->name('contact');
    Route::post('/contato/sendEmail' ,'WebController@sendEmail')->name('sendEmail');
    Route::get('/contato/sucesso' ,'WebController@sendEmailSuccess')->name('sendEmailSuccess');



});

Route::group(['prefix'=>'component','namespace'=>'Web', 'as' => 'component.'], function(){
        Route::post('main-filter/search', 'FilterController@search')->name('main-filter.search');
        Route::post('main-filter/category','FilterController@category')->name('main-filter.category');
        Route::post('main-filter/type','FilterController@type')->name('main-filter.type');
        Route::post('main-filter/neighborhood','FilterController@neighborhood')->name('main-filter.neighborhood');
        Route::post('main-filter/bedrooms','FilterController@bedrooms')->name('main-filter.bedrooms');
        Route::post('main-filter/suites','FilterController@suites')->name('main-filter.suites');
        Route::post('main-filter/bathrooms','FilterController@bathrooms')->name('main-filter.bathrooms');
        Route::post('main-filter/garage','FilterController@garage')->name('main-filter.garage');
        Route::post('main-filter/price-base','FilterController@priceBase')->name('main-filter.priceBase');
        Route::post('main-filter/price-limit','FilterController@priceLimit')->name('main-filter.priceLimit');



});


Route::group(['prefix' => 'admin', 'namespace' => 'Admin', 'as' => 'admin.'], function () {

    /** formulário de login */
    Route::get('/', 'AuthController@showLoginForm')->name('login');
    Route::post('login', 'AuthController@login')->name('login.do');

    /** rotas protegidas */
    Route::group(['middleware' => ['auth']], function () {
        /**dashboard home*/
        Route::get('home', 'AuthController@home')->name('home');
        Route::get('users/team', 'UserController@team')->name('users.team');

        /**users */
        Route::resource('users', 'UserController');

        /**empresas*/
        Route::resource('companies', 'CompanyController');

        /**imoves*/
        Route::post('properties/image-set-cover', 'PropertyController@imageSetCover')->name('properties.imageSetCover');
        Route::delete('properties/image-remove', 'PropertyController@imageRemove')->name('properties.imageRemove');
        Route::resource('properties',   'PropertyController');

        /**Contratos */
        Route::post('contracts/get-data-owner','ContractController@getDataOwner')->name('contracts.getDataOwner');
        Route::post('contracts/get-data-acquirer','ContractController@getDataAcquirer')->name('contracts.getDataAcquirer');
        Route::post('contracts/get-data-property','ContractController@getDataProperty')->name('contracts.getDataProperty');

        Route::resource('contracts', 'ContractController');

    });

    /** Logout*/
    Route::get('logout', 'AuthController@logout')->name('logout');
});

app/Company.php
<?php

namespace LaraDev;

use Illuminate\Database\Eloquent\Model;

class Company extends Model
{
    protected $fillable = [
        'user',
        'social_name',
        'alias_name',
        'document_company',
        'document_company_secondary',
        'zipcode',
        'street',
        'number',
        'complement',
        'neighborhood',
        'state',
        'city'
    ];

    public function owner()
    {
        return $this->hasOne(User::class, 'id', 'user');
    }
    public function setDocumentCompanyAttribute($value)
    {
        $this->attributes['document_company'] = $this->clearField($value);;
    }

    public function getDocumentCompanyAttribute($value)
    {
        return substr($value, 0, 2) . '.' . substr($value, 2, 3) . '.' . substr($value, 5, 3) . '/' . substr($value, 8, 4) . '-' . substr($value, 12, 2);
    }
    public function getZipcodeAttribute($value)
    {
        return substr($value, 0,5) . '-' . substr($value, 5,3);
    }

    private function  clearField(?string $param)
    {
        if (empty($param)) {
            return  '';
        }
        return str_replace(['.', '-', '/', '(', ')', ' '], '', $param);
    }
}

app/Http/Controllers/Admin/CompanyController.php
<?php

namespace LaraDev\Http\Controllers\Admin;

use Illuminate\Http\Request;
use LaraDev\Company;
use LaraDev\Http\Controllers\Controller;
use LaraDev\Http\Requests\Admin\Company as CompanyRequest;
use LaraDev\User;

class CompanyController extends Controller
{

    public function index()
    {
        $companies = Company::all();
        return view('admin.companies.index', [
            'companies' => $companies,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        $users = User::orderBy('name')->get();

        if (!empty($request->user)) {
            $user = User::where('id', $request->user)->first();
        }


        return view('admin.companies.create', [
            'users' => $users,
            'selected' => (!empty($user) ? $user : null)
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(CompanyRequest $request)
    {
        $companyCreate = Company::create($request->all());

        return redirect()->route('admin.companies.edit', [
            'company' => $companyCreate->id
        ])->with(['color' => 'green', 'message' => 'Empresa Cadastrada com sucesso']);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $company = Company::where('id', $id)->first();


        $users = User::orderBy('name')->get();

        return view('admin.companies.edit', [
            'company' => $company,
            'users' => $users
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(CompanyRequest $request, $id)
    {

        $company = Company::where('id', $id)->first();
        $company->fill($request->all());

        $company->save();

        return redirect()->route('admin.companies.edit', [
            'company' => $company->id
        ])->with(['color' => 'green', 'message' => 'Empresa atualizado com sucesso']);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/admin/companies/create.blade.php
@extends('admin.master.master')
@section('content')

    <section class="dash_content_app">

        <header class="dash_content_app_header">
            <h2 class="icon-user-plus">Nova Empresa</h2>

            <div class="dash_content_app_header_actions">
                <nav class="dash_content_app_breadcrumb">
                    <ul>
                        <li><a href="{{route('admin.home')}}">Dashboard</a></li>
                        <li class="separator icon-angle-right icon-notext"></li>
                        <li><a href="{{route('admin.users.index')}}">Clientes</a></li>
                        <li class="separator icon-angle-right icon-notext"></li>
                        <li><a href="{{route('admin.companies.index')}}">Empresas</a></li>
                    </ul>
                </nav>
            </div>
        </header>

        @if ($errors->all())
            @foreach($errors->all() as $error)
                @message(['color'=>'orange'])
                <p class="icon-asterisk"> {{$error}}</p>
                @endmessage
            @endforeach
        @endif
        <div class="dash_content_app_box">
            <div class="dash_content_app_box_stage">
                <form class="app_form" action="{{route('admin.companies.store')}}" method="post">
                    @csrf
                    <label class="label">
                        <span class="legend">Responsável Legal:</span>
                        <select name="user" class="select2">
                            <option value="" selected>Selecione um responsável</option>
                            @foreach ( $users as $user )
                                @if(!empty($selected) )
                                <option value="{{$user->id}}" {{ $user->id  === $selected->id ? 'selected' : ''}} > {{$user->name}} - ({{$user->document}})</option>
                                @else 
                                <option value="{{$user->id}}" > {{$user->name}} - ({{$user->document}})</option>

                                @endif
                            @endforeach
                        </select>
                        @if(!empty($selected->id))    
                        <p style="margin-top: 4px;">
                            <a href="" class="text-orange icon-link" style="font-size: .8em;" target="_blank">Acessar Cadastro</a>
                        </p>
                        @endif
                    </label>
                    <label class="label">
                        <span class="legend">*Razão Social:</span>
                        <input type="text" name="social_name" placeholder="Razão Social" value="{{old('social_name')}}" />
                    </label>

                    <label class="label">
                        <span class="legend">Nome Fantasia:</span>
                        <input type="text" name="alias_name" placeholder="Nome Fantasia" value="{{old('alias_name')}}"  />
                    </label>

                    <div class="label_g2">
                        <label class="label">
                            <span class="legend">CNPJ:</span>
                            <input type="text" name="document_company" class="mask-cnpj" placeholder="CNPJ da Empresa"
                            value="{{old('document_company')}}" />
                        </label>

                        <label class="label">
                            <span class="legend">Inscrição Estadual:</span>
                            <input type="text" name="document_company_secondary" placeholder="Número da Inscrição"
                            value="{{old('document_company_secondary')}}" />
                        </label>
                    </div>

                    <div class="app_collapse">
                        <div class="app_collapse_header mt-2 collapse">
                            <h3>Endereço</h3>
                            <span class="icon-minus-circle icon-notext"></span>
                        </div>

                        <div class="app_collapse_content">
                            <div class="label_g2">
                                <label class="label">
                                    <span class="legend">*CEP:</span>
                                    <input type="text" name="zipcode" class="mask-zipcode zip_code_search"
                                        placeholder="Digite o CEP"  value="{{old('zipcode')}}" />
                                </label>
                            </div>

                            <label class="label">
                                <span class="legend">*Endereço:</span>
                                <input type="text" name="street" class="street" placeholder="Endereço Completo"
                                value="{{old('street')}}" />
                            </label>

                            <div class="label_g2">
                                <label class="label">
                                    <span class="legend">*Número:</span>
                                    <input type="text" name="number" placeholder="Número do Endereço" value="{{old('number')}}" />
                                </label>

                                <label class="label">
                                    <span class="legend">Complemento:</span>
                                    <input type="text" name="complement" placeholder="Completo (Opcional)" value="{{old('complement')}}" />
                                </label>
                            </div>

                            <label class="label">
                                <span class="legend">*Bairro:</span>
                                <input type="text" name="neighborhood" class="neighborhood" placeholder="Bairro"
                                value="{{old('neighborhood')}}" />
                            </label>

                            <div class="label_g2">
                                <label class="label">
                                    <span class="legend">*Estado:</span>
                                    <input type="text" name="state" class="state" placeholder="Estado" value="{{old('state')}}" />
                                </label>

                                <label class="label">
                                    <span class="legend">*Cidade:</span>
                                    <input type="text" name="city" class="city" placeholder="Cidade" value="{{old('city')}}" />
                                </label>
                            </div>
                        </div>
                    </div>

                    <div class="text-right">
                        <button class="btn btn-large btn-green icon-check-square-o" type="submit">Criar Empresa</button>
                    </div>
                </form>
            </div>
        </div>
    </section>
@endsection

resources/views/admin/companies/edit.blade.php
@extends('admin.master.master')
@section('content')

    <section class="dash_content_app">

        <header class="dash_content_app_header">
            <h2 class="icon-user-plus">Editar  Empresa</h2>

            <div class="dash_content_app_header_actions">
                <nav class="dash_content_app_breadcrumb">
                    <ul>
                        <li><a href="{{route('admin.home')}}">Dashboard</a></li>
                        <li class="separator icon-angle-right icon-notext"></li>
                        <li><a href="{{route('admin.users.index')}}">Clientes</a></li>
                        <li class="separator icon-angle-right icon-notext"></li>
                        <li><a href="{{route('admin.companies.index')}}">Empresas</a></li>

                    </ul>
                </nav>
            </div>
        </header>
        
        @if ($errors->all())
            @foreach($errors->all() as $error)
                @message(['color'=>'orange'])
                <p class="icon-asterisk"> {{$error}}</p>
                @endmessage
            @endforeach
        @endif
        @if (session()->exists('message'))
        @message(['color'=>session()->get('color')])
        <p class="icon-asterisk">{{ session()->get('message') }}</p>
        @endmessage
        @endif
        <div class="dash_content_app_box">
            <div class="dash_content_app_box_stage">
                <form class="app_form" action="{{route('admin.companies.update', ['company'=>$company->id])}}" method="post">
                    @csrf
                    @method('PUT')
                    <label class="label">
                        <span class="legend">Responsável Legal:</span>
                        <select name="user" class="select2">
                            <option value="" selected>Selecione um responsável</option>
                            @foreach ( $users as $user )
                                <option value="{{$user->id}}" {{ ($user->id  === $company->user ? 'selected' : '')}}>{{$user->name}} - ({{$user->document}})</option>
                            @endforeach
                        </select>
                        <p style="margin-top: 4px;">
                            <a href="{{route('admin.users.edit', ['user'=>$company->user])}}" class="text-orange icon-link" style="font-size: .8em;" target="_blank">Acessar
                                Cadastro</a>
                        </p>
                    </label>

                    <label class="label">
                        <span class="legend">*Razão Social:</span>
                        <input type="text" name="social_name" placeholder="Razão Social" value="{{old('social_name') ?? $company->social_name }}" />
                    </label>

                    <label class="label">
                        <span class="legend">Nome Fantasia:</span>
                        <input type="text" name="alias_name" placeholder="Nome Fantasia" value="{{old('alias_name') ?? $company->alias_name }}"  />
                    </label>

                    <div class="label_g2">
                        <label class="label">
                            <span class="legend">CNPJ:</span>
                            <input type="text" name="document_company" class="mask-cnpj" placeholder="CNPJ da Empresa"
                            value="{{old('document_company') ?? $company->document_company  }}" />
                        </label>

                        <label class="label">
                            <span class="legend">Inscrição Estadual:</span>
                            <input type="text" name="document_company_secondary" placeholder="Número da Inscrição"
                            value="{{old('document_company_secondary') ?? $company->document_company_secondary  }}" />
                        </label>
                    </div>

                    <div class="app_collapse">
                        <div class="app_collapse_header mt-2 collapse">
                            <h3>Endereço</h3>
                            <span class="icon-minus-circle icon-notext"></span>
                        </div>

                        <div class="app_collapse_content">
                            <div class="label_g2">
                                <label class="label">
                                    <span class="legend">*CEP:</span>
                                    <input type="text" name="zipcode" class="mask-zipcode zip_code_search"
                                        placeholder="Digite o CEP"  value="{{old('zipcode') ?? $company->zipcode }}" />
                                </label>
                            </div>

                            <label class="label">
                                <span class="legend">*Endereço:</span>
                                <input type="text" name="street" class="street" placeholder="Endereço Completo"
                                value="{{old('street') ?? $company->street }}" />
                            </label>

                            <div class="label_g2">
                                <label class="label">
                                    <span class="legend">*Número:</span>
                                    <input type="text" name="number" placeholder="Número do Endereço" value="{{old('number') ?? $company->number}}" />
                                </label>

                                <label class="label">
                                    <span class="legend">Complemento:</span>
                                    <input type="text" name="complement" placeholder="Completo (Opcional)" value="{{old('complement') ?? $company->complement }}" />
                                </label>
                            </div>

                            <label class="label">
                                <span class="legend">*Bairro:</span>
                                <input type="text" name="neighborhood" class="neighborhood" placeholder="Bairro"
                                value="{{old('neighborhood') ?? $company->neighborhood }}" />
                            </label>

                            <div class="label_g2">
                                <label class="label">
                                    <span class="legend">*Estado:</span>
                                    <input type="text" name="state" class="state" placeholder="Estado" value="{{old('state') ?? $company->state }}" />
                                </label>

                                <label class="label">
                                    <span class="legend">*Cidade:</span>
                                    <input type="text" name="city" class="city" placeholder="Cidade" value="{{old('city') ?? $company->city}}" />
                                </label>
                            </div>
                        </div>
                    </div>

                    <div class="text-right">
                        <button class="btn btn-large btn-yellow icon-check-square-o" type="submit">Editar Empresa</button>
                    </div>
                </form>
            </div>
        </div>
    </section>
@endsection

resources/views/admin/companies/filter.blade.php
<div class="dash_content_search">

    <div class="dash_content_search_close">
        <p class="text-right">
            <button class="btn btn-red icon-times icon-notext search_close"></button>
        </p>
    </div>

    <header>
        <h3 class="icon-search">Pesquisar por Empresa:</h3>
    </header>

    <main>
        <form action="">
            <label>
                <span>Nome:</span>
                <input type="text">
            </label>

            <label>
                <span>Documento:</span>
                <input type="text">
            </label>

            <div class="label_double">
                <label class="label_50">
                    <span>Documento:</span>
                    <input type="text" size="2">
                </label>

                <label class="label_50">
                    <span>Documento:</span>
                    <input type="text" size="2">
                </label>
            </div>

            <div class="label_double">
                <label class="label_50">
                    <span>Documento:</span>
                    <input type="text" size="2">
                </label>

                <label class="label_50">
                    <span>Documento:</span>
                    <input type="text" size="2">
                </label>
            </div>

            <label>
                <span>Documento:</span>
                <input type="text">
            </label>

            <button class="btn btn-block btn-large btn-green icon-search">Filtrar</button>
        </form>
    </main>
</div>

resources/views/admin/companies/index.blade.php
@extends('admin.master.master');

@section('content')


    <section class="dash_content_app">

        <header class="dash_content_app_header">
            <h2 class="icon-search">Filtro</h2>

            <div class="dash_content_app_header_actions">
                <nav class="dash_content_app_breadcrumb">
                    <ul>
                        <li><a href="{{route('admin.home')}}">Dashboard</a></li>
                        <li class="separator icon-angle-right icon-notext"></li>
                        <li><a href="{{route('admin.users.index')}}">Clientes</a></li>
                        <li class="separator icon-angle-right icon-notext"></li>
                        <li><a href="{{route('admin.companies.index')}}}" class="text-orange">Empresas</a></li>
                        
                    </ul>
                </nav>

                <a href="{{route('admin.companies.create')}}" class="btn btn-orange icon-building-o ml-1">Criar Empresa</a>
                <button class="btn btn-green icon-search icon-notext ml-1 search_open"></button>
            </div>
        </header>

        @include('admin.companies.filter')
        <div class="dash_content_app_box">
            <div class="dash_content_app_box_stage">
                <table id="dataTable" class="nowrap hover stripe" width="100" style="width: 100% !important;">
                    <thead>
                        <tr>
                            <th>Razão Social</th>
                            <th>Nome Fantasia</th>
                            <th>CNPJ</th>
                            <th>IE</th>
                            <th>Responsável</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($companies as $company )
                            
                        <tr>
                            <td><a href="{{route('admin.companies.edit',['company'=>$company->id])}}" class="text-orange">{{$company->social_name}}</a></td>
                            <td>{{$company->alias_name}}</td>
                            <td>{{$company->document_company}}</td>
                            <td>{{$company->document_company_secondary}}</td>
                            <td><a href="{{route('admin.users.edit',['user'=>$company->owner->id])}}" class="text-orange">{{$company->owner->name}}</a></td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endsection